> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create x402 signature

> Create a signature for a given x402 resource using the specified wallet.

## Create x402 Signature

## Node.js SDK

🔗 **SDK Method:** [createX402Signature](/nodejs-sdk/onchain-apis/createX402Signature)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml post /v2/signature/x402/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/signature/x402/:
    post:
      tags:
        - Onchain
      summary: Create x402 signature
      description: Create a signature for a given x402 resource using the specified wallet.
      operationId: create-x402-signature
      parameters:
        - $ref: '#/components/parameters/WalletIdHeader'
        - in: header
          name: x-api-key
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                payment_requirements:
                  properties:
                    accepts:
                      items:
                        properties:
                          asset:
                            description: Ethereum address
                            example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
                            pattern: ^0x[a-fA-F0-9]{40}$
                            title: EthAddress
                            type: string
                          description:
                            type: string
                          extra:
                            additionalProperties: {}
                            nullable: true
                            type: object
                          maxAmountRequired:
                            type: string
                          maxTimeoutSeconds:
                            type: number
                          mimeType:
                            type: string
                          network:
                            enum:
                              - base
                              - base-sepolia
                            type: string
                          outputSchema:
                            additionalProperties: {}
                            nullable: true
                            type: object
                          payTo:
                            description: Ethereum address
                            example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
                            pattern: ^0x[a-fA-F0-9]{40}$
                            title: EthAddress
                            type: string
                          resource:
                            format: uri
                            type: string
                          scheme:
                            enum:
                              - exact
                            type: string
                        required:
                          - scheme
                          - network
                          - maxAmountRequired
                          - asset
                          - payTo
                          - resource
                          - description
                          - maxTimeoutSeconds
                        type: object
                      minItems: 1
                      type: array
                    x402Version:
                      enum:
                        - 1
                      type: number
                  required:
                    - x402Version
                    - accepts
                  type: object
              required:
                - payment_requirements
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  network:
                    enum:
                      - base
                      - base-sepolia
                    type: string
                  payload:
                    properties:
                      authorization:
                        properties:
                          from:
                            $ref: '#/components/schemas/EthAddress'
                          nonce:
                            pattern: ^0x[a-fA-F0-9]{64}$
                            type: string
                          to:
                            $ref: '#/components/schemas/EthAddress'
                          validAfter:
                            type: string
                          validBefore:
                            type: string
                          value:
                            type: string
                        required:
                          - from
                          - to
                          - value
                          - validAfter
                          - validBefore
                          - nonce
                        type: object
                      signature:
                        pattern: ^0x[a-fA-F0-9]{130}$
                        type: string
                    required:
                      - signature
                      - authorization
                    type: object
                  scheme:
                    enum:
                      - exact
                    type: string
                  x402Version:
                    enum:
                      - 1
                    type: number
                required:
                  - x402Version
                  - scheme
                  - network
                  - payload
                type: object
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: https://docs.neynar.com/reference/create-x402-signature
components:
  parameters:
    WalletIdHeader:
      description: Wallet ID to use for transactions
      in: header
      name: x-wallet-id
      required: true
      schema:
        type: string
      x-is-global-header: true
  schemas:
    EthAddress:
      description: Ethereum address
      example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
      pattern: ^0x[a-fA-F0-9]{40}$
      title: EthAddress
      type: string
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````